## python-django 1.4.1

=== debian/changelog ===
python-django (1.4.1-2ubuntu0.7~cloud0) precise-folsom; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 May 2014 06:02:43 -0400

python-django (1.4.1-2ubuntu0.7) quantal-security; urgency=medium

  * SECURITY UPDATE: cache coherency problems in old Internet Explorer
    compatibility functions lead to loss of privacy and cache poisoning
    attacks. (LP: #1317663)
    - debian/patches/drop_fix_ie_for_vary_1_4.diff: remove fix_IE_for_vary()
      and fix_IE_for_attach() functions so Cache-Control and Vary headers are
      no longer modified. This may introduce some regressions for IE 6 and IE 7
      users. Patch from upstream.
    - CVE-2014-1418
  * SECURITY UPDATE: The validation for redirects did not correctly validate
    some malformed URLs, which are accepted by some browsers. This allows a
    user to be redirected to an unsafe URL unexpectedly.
    - debian/patches/is_safe_url_1_4.diff: Forbid URLs starting with '///',
      forbid URLs without a host but with a path. Patch from upstream.

 -- Seth Arnold <seth.arnold@canonical.com>  Wed, 14 May 2014 11:05:38 -0700

python-django (1.4.1-2ubuntu0.6) quantal-security; urgency=medium

  * SECURITY REGRESSION: security fix regression when a view is a partial
    (LP: #1311433)
    - debian/patches/CVE-2014-0472-regression.patch: create the lookup_str
      from the original function whenever a partial is provided as an
      argument to a url pattern in django/core/urlresolvers.py,
      added tests to tests/regressiontests/urlpatterns_reverse/urls.py,
      tests/regressiontests/urlpatterns_reverse/views.py.
    - CVE-2014-0472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Apr 2014 23:14:35 -0400

python-django (1.4.1-2ubuntu0.5) quantal-security; urgency=medium

  * SECURITY UPDATE: unexpected code execution using reverse()
    (LP: #1309779)
    - debian/patches/CVE-2014-0472.patch: added filtering to
      django/core/urlresolvers.py, added tests to
      tests/regressiontests/urlpatterns_reverse/nonimported_module.py,
      tests/regressiontests/urlpatterns_reverse/tests.py,
      tests/regressiontests/urlpatterns_reverse/urls.py,
      tests/regressiontests/urlpatterns_reverse/views.py.
    - CVE-2014-0472
  * SECURITY UPDATE: caching of anonymous pages could reveal CSRF token
    (LP: #1309782)
    - debian/patches/CVE-2014-0473.patch: don't cache responses with a
      cookie in django/middleware/cache.py, added tests to
      tests/regressiontests/cache/tests.py.
    - CVE-2014-0473
  * SECURITY UPDATE: MySQL typecasting issue (LP: #1309784)
    - debian/patches/CVE-2014-0474.patch: convert arguments to correct
      type in django/db/models/fields/__init__.py, updated docs in
      docs/howto/custom-model-fields.txt, docs/ref/databases.txt,
      docs/ref/models/querysets.txt, docs/topics/db/sql.txt, added tests to
      tests/regressiontests/model_fields/tests.py.
    - CVE-2014-0474
  * debian/patches/fix_test_ftbfs.patch: fix ftbfs with upstream commit.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 19 Apr 2014 09:12:33 -0400

python-django (1.4.1-2ubuntu0.4) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service via long passwords (LP: #1225784)
    - debian/patches/CVE-2013-1443.patch: enforce a maximum password length
      in django/contrib/auth/forms.py, django/contrib/auth/hashers.py,
      django/contrib/auth/tests/hashers.py.
    - CVE-2013-1443
  * SECURITY UPDATE: directory traversal with ssi template tag
    - debian/patches/CVE-2013-4315.patch: properly check absolute path in
      django/template/defaulttags.py,
      tests/regressiontests/templates/tests.py.
    - CVE-2013-4315
  * SECURITY UPDATE: possible XSS via is_safe_url
    - debian/patches/security-is_safe_url.patch: properly reject URLs which
      specify a scheme other then HTTP or HTTPS.
    - https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - No CVE number
  * debian/patches/fix-validation-tests.patch: fix regression in tests
    since example.com is now available via https.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 09:05:04 -0400

python-django (1.4.1-2ubuntu0.3) quantal-security; urgency=low

  * SECURITY UPDATE: host header poisoning (LP: #1089337)
    - debian/patches/fix_get_host.patch: tighten host header validation in
      django/http/__init__.py, add info to docs/topics/security.txt, add
      tests to tests/regressiontests/requests/tests.py.
    - https://www.djangoproject.com/weblog/2012/dec/10/security/
    - No CVE number
  * SECURITY UPDATE: redirect poisoning (LP: #1089337)
    - debian/patches/fix_redirect_poisoning.patch: tighten validation in
      django/contrib/auth/views.py,
      django/contrib/comments/views/comments.py,
      django/contrib/comments/views/moderation.py,
      django/contrib/comments/views/utils.py, django/utils/http.py,
      django/views/i18n.py, add tests to
      tests/regressiontests/comment_tests/tests/comment_view_tests.py,
      tests/regressiontests/comment_tests/tests/moderation_view_tests.py,
      tests/regressiontests/views/tests/i18n.py.
    - https://www.djangoproject.com/weblog/2012/dec/10/security/
    - No CVE number
  * SECURITY UPDATE: host header poisoning (LP: #1130445)
    - debian/patches/add_allowed_hosts.patch: add new ALLOWED_HOSTS setting
      to django/conf/global_settings.py,
      django/conf/project_template/project_name/settings.py,
      django/contrib/auth/tests/views.py,
      django/contrib/contenttypes/tests.py, django/contrib/sites/tests.py,
      django/http/__init__.py, django/test/utils.py, add docs to
      docs/ref/settings.txt, docs/topics/security.txt, add tests to
      tests/regressiontests/csrf_tests/tests.py,
      tests/regressiontests/requests/tests.py.
    - https://www.djangoproject.com/weblog/2013/feb/19/security/
    - No CVE number


=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
Build-Depends-Indep: libjs-jquery
Homepage: http://www.djangoproject.com/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django/trunk/

Package: python-django
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: libjs-jquery
Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

## python-django 1.4.3

=== debian/changelog ===
python-django (1.4.3-1) unstable; urgency=high

  * New upstream security and maintenance release. Closes: #696535
    https://www.djangoproject.com/weblog/2012/dec/10/security/
  * Drop debian/patches/01_fix-self-tests.diff, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 26 Dec 2012 15:49:32 +0100

python-django (1.4.2-2) unstable; urgency=low

  * Don't fail self-tests if MANAGERS or ADMINS is defined in settings.py.
    Add upstream patch debian/patches/01_fix-self-tests.diff.
    Thanks to Jamie Strandboge <jamie@ubuntu.com> for the report.
    Closes: #693752 LP: #1080204

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 20 Nov 2012 08:28:37 +0100

python-django (1.4.2-1) unstable; urgency=high

  * New upstream security and maintenance release. Closes: #691145
    Fixes: CVE-2012-4520
  * Drop 01_use_stdlib_htmlparser_when_possible.diff which has been
    merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Oct 2012 10:53:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)

## python-django 1.4.5

=== debian/changelog ===
python-django (1.4.5-1ubuntu0.1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 24 Sep 2013 21:26:14 -0700

python-django (1.4.5-1ubuntu0.1) raring-security; urgency=low

  * SECURITY UPDATE: denial of service via long passwords (LP: #1225784)
    - debian/patches/CVE-2013-1443.patch: enforce a maximum password length
      in django/contrib/auth/forms.py, django/contrib/auth/hashers.py,
      django/contrib/auth/tests/hashers.py.
    - CVE-2013-1443
  * SECURITY UPDATE: directory traversal with ssi template tag
    - debian/patches/CVE-2013-4315.patch: properly check absolute path in
      django/template/defaulttags.py,
      tests/regressiontests/templates/tests.py.
    - CVE-2013-4315
  * SECURITY UPDATE: possible XSS via is_safe_url
    - debian/patches/security-is_safe_url.patch: properly reject URLs which
      specify a scheme other then HTTP or HTTPS.
    - https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - No CVE number
  * debian/patches/fix-validation-tests.patch: fix regression in tests
    since example.com is now available via https.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 08:48:09 -0400

python-django (1.4.5-1) unstable; urgency=high

  * New upstream maintenance release dropping some undesired .pyc files
    and fixing a documentation link.
  * High urgency due to former security updates.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 24 Feb 2013 10:28:08 +0100

python-django (1.4.4-1) unstable; urgency=low

  * New upstream security and maintenance release. Closes: #701186 
    https://www.djangoproject.com/weblog/2013/feb/19/security/
    Fixes mulptiple security issues:
    - Further fixes for Host header poisoning. CVE-2012-4520
    - XML attacks via entity expansion. CVE-2013-1665
    - Data leakage via admin history log. CVE-2013-0305
    - Formset denial-of-service. CVE-2013-0306
  * Add gettext to Suggests since it's required for django-admin
    compilemessages / makemessages. Closes: #700483

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 23 Feb 2013 09:33:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
@@ -14,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery
-Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib
+Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext
 Description: High-level Python web development framework
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
  py_sitename = site-packages
  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
  py_sitename_sh = $(py_sitename)
  py_libdir_sh = $(py_libdir)
endif


PREFIX = debian/python-django

%:
	dh $@ --with sphinxdoc,python2

override_dh_auto_clean:
	rm -rf docs.debian tests/__init__.py
	find -name "*.DS_Store" -delete
	chmod a-x django/contrib/gis/tests/data/texas.dbf
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	# We programmatically replace most instances of django-admin.py with
	# django-admin and remove the source files from the target _build.
	cp -r docs docs.debian
	find docs.debian -type f -print0 | xargs -0r perl -pi -e 's|(?<!/)(django-admin)\.py|$$1|'
	make -C docs.debian html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	touch tests/__init__.py
	mkdir -p tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 -A /usr/share/locale/locale.alias tmp-locales/en_US.UTF-8
	LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. tests/runtests.py --settings=tests.test_sqlite --verbosity=2
	rm -rf tmp-locales
endif

override_dh_clean:
	# backup~ is used in tests
	dh_clean -Xbackup~

override_dh_install:
	dh_install
	
	# Use default shebang and m move scripts to /usr/lib/python-django
	set -e; for ver in $(shell pyversions -vr); do \
		[ -f /usr/bix/python$$ver ] || continue;\
		FILE=$(PREFIX)/$(call py_libdir_sh,$$ver)/django/conf/project_template/manage.py; \
		if [ -f $$FILE ]; then\
			perl -pi -e 's|^#!/usr/bin/env python.*|#!/usr/bin/python|' $$FILE;\
			chmod +x $$FILE;\
		fi;\
		if [ -d $(PREFIX)/usr/lib/python-django ]; then\
			rm -rf $(PREFIX)/$(call py_libdir_sh,$$ver)/django/bin;\
		else\
			mkdir -p $(PREFIX)/usr/lib/python-django;\
			mv $(PREFIX)/$(call py_libdir_sh,$$ver)/django/bin $(PREFIX)/usr/lib/python-django;\
		fi;\
	done
	# Fix permissions
	chmod 644 $(PREFIX)/etc/bash_completion.d/django_bash_completion
	find $(PREFIX)/usr/lib/python-django/bin/ -name '*.py' -not -name '__init__.py' -print0 | xargs -0r chmod 755
	
	# Rename django-admin.py to django-admin
	mv $(PREFIX)/usr/bin/django-admin.py $(PREFIX)/usr/bin/django-admin
	
	# Remove embedded Javascript libraries
	set -e; for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sf /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done

override_dh_compress:
	dh_compress -X.js -Xobjects.inv

## python-django 1.4.22

=== extras/Makefile ===
all: sdist

sdist:
	python setup.py sdist

.PHONY : sdist

=== debian/changelog ===
python-django (1.4.22-1+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-7536: Denial-of-service possibility in ``urlize`` and
    ``urlizetrunc`` template filters
  * Fix CVE-2018-7537: Denial-of-service possibility in ``truncatechars_html``
    and ``truncatewords_html`` template filters

 -- Brian May <bam@debian.org>  Wed, 07 Mar 2018 17:01:54 +1100

python-django (1.4.22-1+deb7u3) wheezy-security; urgency=high

  * CVE-2017-7233: Open redirect and possible XSS attack via user-supplied
    numeric redirect URLs.

    Django relies on user input in some cases (e.g.
    django.contrib.auth.views.login() and i18n) to redirect the user to an
    "on success" URL. The security check for these redirects (namely
    django.utils.http.is_safe_url()) considered some numeric URLs (e.g.
    http:999999999) "safe" when they shouldn't be.

    Also, if a developer relies on is_safe_url() to provide safe redirect
    targets and puts such a URL into a link, they could suffer from an XSS
    attack. (Closes: #859515)

  * CVE-2017-7234: Open redirect vulnerability in django.views.static.serve().

    A maliciously crafted URL to a Django site using the
    django.views.static.serve() view could redirect to any other domain. The
    view no longer does any redirects as they don't provide any known,
    useful functionality.

    Note, however, that this view has always carried a warning that it is
    not hardened for production use and should be used only as a development
    aid. Thanks Phithon Gong for reporting this issue. (Closes: #859516)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Apr 2017 10:34:27 +0200

python-django (1.4.22-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2016-9014: DNS rebinding vulnerability when DEBUG=True.
    Attacker could attack services listening on localhost.
 
 -- Brian May <bam@debian.org>  Thu, 03 Nov 2016 18:08:17 +1100

python-django (1.4.22-1+deb7u1) wheezy-security; urgency=high

  * CVE-2016-7401: CSRF protection bypass on a site with Google Analytics.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 21:16:29 +0100

python-django (1.4.22-1) wheezy-security; urgency=medium

  * Update wheezy to latest version in 1.4.x series.
  * Remove numerous security fixes that were applied upstream.

 -- Brian May <bam@debian.org>  Wed, 03 Aug 2016 18:08:22 +1000

python-django (1.4.5-1+deb7u16) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add missing harden_runtime method for BCryptPasswordHasher

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Mar 2016 14:12:46 +0100

python-django (1.4.5-1+deb7u15) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-2512: Prevented spoofing is_safe_url() with basic auth.
    Malicious redirect and possible XSS attack via user-supplied redirect
    URLs containing basic auth. (Closes: #816434)
  * is_safe_url() crashes with a byestring URL on Python 2.
    Fixes a regression introduced by the original fix for CVE-2016-2512.
  * CVE-2016-2513: Fixed user enumeration timing attack during login
    (Closes: #816434)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 13 Mar 2016 07:18:04 +0100

python-django (1.4.5-1+deb7u14) wheezy-security; urgency=high

  * New upstream security release:
    - Settings leak possibility in ``date`` template filter (CVE-2015-8213)

 -- Luke Faraone <lfaraone@debian.org>  Sun, 22 Nov 2015 19:29:16 +0000

python-django (1.4.5-1+deb7u13) wheezy-security; urgency=medium

  * New upstream security release:
    - Possible denial-of-service via logout() (CVE-2015-5963)

 -- Luke Faraone <lfaraone@debian.org>  Tue, 18 Aug 2015 04:34:37 +0000

python-django (1.4.5-1+deb7u12) wheezy-security; urgency=high

  * New upstream security release:
    - Possible denial-of-service via session store (CVE-2015-5143)
    - Possible email header injection via newlines (CVE-2015-5144)

 -- Luke Faraone <lfaraone@debian.org>  Tue, 07 Jul 2015 05:31:32 +0000

python-django (1.4.5-1+deb7u11) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * No change rebuild. Brings back missing jquery symlinks. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Mar 2015 19:37:38 +0100

python-django (1.4.5-1+deb7u10) wheezy-security; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/mar/18/security-releases/
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-2317)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 19 Mar 2015 05:14:59 +0000

python-django (1.4.5-1+deb7u9) wheezy-security; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/jan/13/security/
    - WSGI header spoofing via underscore/dash conflation (CVE-2015-0219)
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-0220)
    - Denial-of-service attack against django.views.static.serve
      (CVE-2015-0221)
    Closes: #775375
  * Also include a fix for a regression introduced by the patch for
    CVE-2015-0221: https://code.djangoproject.com/ticket/24158

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 28 Jan 2015 10:24:59 +0100

python-django (1.4.5-1+deb7u8) wheezy-security; urgency=high

  * New upstream security release.
    - reverse() can generate URLs pointing to other hosts (CVE-2014-0480)
    - file upload denial of service (CVE-2014-0481)
    - RemoteUserMiddleware session hijacking (CVE-2014-0482)
    - data leakage via querystring manipulation in admin (CVE-2014-0483)   

 -- Luke Faraone <lfaraone@debian.org>  Wed, 20 Aug 2014 01:46:17 -0700

python-django (1.4.5-1+deb7u7) stable-security; urgency=high

  * New upstream security release.
    https://www.djangoproject.com/weblog/2014/may/14/security-releases-issued/
    - Caches may be allowed to store and serve private data (CVE-2014-1418)


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>, Luke Faraone <lfaraone@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
 Build-Depends-Indep: libjs-jquery

## python-django 1.5.4

=== debian/changelog ===
python-django (1.5.4-1ubuntu1) saucy; urgency=low

  * Pull patch from git to isolate a DB test in testsuite (LP: #1231923)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 04:51:31 -0600

python-django (1.5.4-1) unstable; urgency=high

  * New upstream security release. Fixes CVE-2013-1443. Closes: #723043.
    https://www.djangoproject.com/weblog/2013/sep/15/security/
    - Denial-of-service via large passwords. CVE-2013-1443

 -- Luke Faraone <lfaraone@debian.org>  Sun, 15 Sep 2013 15:50:10 -0400

python-django (1.5.3-1) unstable; urgency=high

  * New upstream security release. Fixes CVE-2013-4315. Closes: #722605
    https://www.djangoproject.com/weblog/2013/sep/10/security-releases-issued/
    - Directory traversal with ssi template tag
  * Update doc-base file to drop some removed directory in the HTML doc.
  * Update Standards-Version to 3.9.4.
  * Bump debhelper compat level to 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 13 Sep 2013 00:05:19 +0200

python-django (1.5.2-1) unstable; urgency=high

  * New upstream security release.
    https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - Cross-site scripting (XSS) in admin interface
    - Possible XSS via is_safe_url

 -- Luke Faraone <lfaraone@debian.org>  Tue, 13 Aug 2013 16:49:39 -0400

python-django (1.5.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Luke Faraone ]
  * Upload to unstable.

 -- Luke Faraone <lfaraone@debian.org>  Thu, 09 May 2013 15:10:47 -0400

python-django (1.5.1-1) experimental; urgency=low

  * New upstream release.
  * Add self to uploaders field.

 -- Luke Faraone <lfaraone@debian.org>  Thu, 28 Mar 2013 17:17:10 -0400

python-django (1.5-1) experimental; urgency=low

  * New upstream release. Closes: #646634, #663230, #436983

 -- Luke Faraone <lfaraone@debian.org>  Fri, 22 Mar 2013 17:52:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>, Luke Faraone <lfaraone@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Raphaël Hertzog <hertzog@debian.org>,
+ Luke Faraone <lfaraone@debian.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django/trunk/
 
 Package: python-django
 Architecture: all

## python-django 1.6.1

=== debian/changelog ===
python-django (1.6.1-2ubuntu0.6~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 06 Feb 2015 07:24:48 -0500

python-django (1.6.1-2ubuntu0.6) trusty-security; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added blurb to
      docs/howto/auth-remote-user.txt, added test to
      tests/servers/test_basehttp.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve
    - debian/patches/CVE-2015-0221.patch: limit large files in
      django/views/static.py, added test to
      tests/view_tests/media/long-line.txt,
      tests/view_tests/tests/test_static.py.
    - CVE-2015-0221
  * SECURITY UPDATE: Database denial-of-service with
    ModelMultipleChoiceField
    - debian/patches/CVE-2015-0222.patch: check values in
      django/forms/models.py, added test to tests/model_forms/tests.py.
    - CVE-2015-0222

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2015 07:47:48 -0500

python-django (1.6.1-2ubuntu0.5) trusty-proposed; urgency=medium

  * debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
    Fix Multipart base64 file decoding with large files ensuring that the
    actual base64 content has a length a multiple of 4. (LP: #1363348)
  * debian/patches/

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Sep 2014 17:46:45 -0500

python-django (1.6.1-2ubuntu0.4) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrect url validation in core.urlresolvers.reverse
    - debian/patches/CVE-2014-0480.patch: prevent reverse() from generating
      URLs pointing to other hosts in django/core/urlresolvers.py, added
      tests to tests/urlpatterns_reverse/{tests,urls}.py.
    - CVE-2014-0480
  * SECURITY UPDATE: denial of service via file upload handling
    - debian/patches/CVE-2014-0481.patch: remove O(n) algorithm in
      django/core/files/storage.py, updated docs in
      docs/howto/custom-file-storage.txt, docs/ref/files/storage.txt,
      added tests to tests/file_storage/tests.py, tests/files/tests.py.
    - CVE-2014-0481
  * SECURITY UPDATE: web session hijack via REMOTE_USER header
    - debian/patches/CVE-2014-0482.patch: modified RemoteUserMiddleware to
      logout on REMOTE_USE change in django/contrib/auth/middleware.py,
      added test to django/contrib/auth/tests/test_remote_user.py.
    - CVE-2014-0482
  * SECURITY UPDATE: data leak in contrib.admin via query string manipulation
    - debian/patches/CVE-2014-0483.patch: validate to_field in
      django/contrib/admin/{options,exceptions}.py,
      django/contrib/admin/views/main.py, added docs to
      docs/ref/exceptions.txt, added tests to tests/admin_views/tests.py.
    - debian/patches/CVE-2014-0483-bug23329.patch: regression fix in
      django/contrib/admin/options.py, added tests to
      tests/admin_views/{admin,models,tests}.py.
    - debian/patches/CVE-2014-0483-bug23431.patch: regression fix in
      django/contrib/admin/options.py, added tests to
      tests/admin_views/{admin,models,tests}.py.
    - CVE-2014-0483

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Sep 2014 13:37:23 -0400

python-django (1.6.1-2ubuntu0.3) trusty-security; urgency=medium

  * SECURITY UPDATE: cache coherency problems in old Internet Explorer
    compatibility functions lead to loss of privacy and cache poisoning
    attacks. (LP: #1317663)
    - debian/patches/drop_fix_ie_for_vary_1_6.diff: remove fix_IE_for_vary()
      and fix_IE_for_attach() functions so Cache-Control and Vary headers are
      no longer modified. This may introduce some regressions for IE 6 and IE 7
      users. Patch from upstream.
    - CVE-2014-1418
  * SECURITY UPDATE: The validation for redirects did not correctly validate
    some malformed URLs, which are accepted by some browsers. This allows a
    user to be redirected to an unsafe URL unexpectedly.
    - debian/patches/is_safe_url_1_6.diff: Forbid URLs starting with '///',
      forbid URLs without a host but with a path. Patch from upstream.

 -- Seth Arnold <seth.arnold@canonical.com>  Wed, 14 May 2014 10:27:37 -0700

python-django (1.6.1-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY REGRESSION: security fix regression when a view is a partial
    (LP: #1311433)
    - debian/patches/CVE-2014-0472-regression.patch: create the lookup_str
      from the original function whenever a partial is provided as an
      argument to a url pattern in django/core/urlresolvers.py,
      added tests to tests/urlpatterns_reverse/urls.py,
      tests/urlpatterns_reverse/views.py.
    - CVE-2014-0472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Apr 2014 23:05:51 -0400

python-django (1.6.1-2ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: unexpected code execution using reverse()
    (LP: #1309779)
    - debian/patches/CVE-2014-0472.patch: added filtering to
      django/core/urlresolvers.py, added tests to
      tests/urlpatterns_reverse/nonimported_module.py,
      tests/urlpatterns_reverse/tests.py,
      tests/urlpatterns_reverse/urls.py,
      tests/urlpatterns_reverse/views.py.
    - CVE-2014-0472
  * SECURITY UPDATE: caching of anonymous pages could reveal CSRF token
    (LP: #1309782)
    - debian/patches/CVE-2014-0473.patch: don't cache responses with a
      cookie in django/middleware/cache.py, added tests to
      tests/cache/tests.py.
    - CVE-2014-0473
  * SECURITY UPDATE: MySQL typecasting issue (LP: #1309784)
    - debian/patches/CVE-2014-0474.patch: convert arguments to correct


=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Luke Faraone <lfaraone@debian.org>
-Standards-Version: 3.9.4
+ Chris Lamb <lamby@debian.org>
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery
-Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext
+Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
 Description: High-level Python web development framework
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.

## python-django 1.6.6

=== debian/changelog ===
python-django (1.6.6-1tanglu1.2) bartholomea-updates; urgency=medium

  * No-change merge from Ubuntu utopic for Tanglu because of security issue DSA 3305-1

 -- Thomas Funk <t.funk@web.de>  Sat, 11 Jul 2015 23:12:40 +0200

python-django (1.6.6-1ubuntu2.3) utopic-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to tests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 11:06:40 -0400

python-django (1.6.6-1ubuntu2.2) utopic-security; urgency=medium

  * SECURITY UPDATE: denial-of-service possibility with strip_tags
    - debian/patches/CVE-2015-2316.patch: fix infinite loop possibility
      in django/utils/html.py, added test to
      tests/utils_tests/test_html.py.
    - CVE-2015-2316
  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:22:16 -0400

python-django (1.6.6-1ubuntu2.1) utopic-security; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added blurb to
      docs/howto/auth-remote-user.txt, added test to
      tests/servers/test_basehttp.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve
    - debian/patches/CVE-2015-0221.patch: limit large files in
      django/views/static.py, added test to
      tests/view_tests/media/long-line.txt,
      tests/view_tests/tests/test_static.py.
    - CVE-2015-0221
  * SECURITY UPDATE: Database denial-of-service with
    ModelMultipleChoiceField
    - debian/patches/CVE-2015-0222.patch: check values in
      django/forms/models.py, added test to tests/model_forms/tests.py.
    - CVE-2015-0222

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2015 07:32:43 -0500

python-django (1.6.6-1ubuntu2) utopic; urgency=medium

  * debian/patches/fix_test_encoding.patch: Fix test encoding headers,
    otherwise it FTBFS.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Sep 2014 19:01:13 -0500

python-django (1.6.6-1ubuntu1) utopic; urgency=medium

  * debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
    Fix Multipart base64 file decoding with large files ensuring that the
    actual base64 content has a length a multiple of 4. (LP: #1363348)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Sep 2014 17:37:57 -0500

python-django (1.6.6-1) unstable; urgency=high

  * New upstream security release.
    - reverse() can generate URLs pointing to other hosts (CVE-2014-0480)
    - file upload denial of service (CVE-2014-0481)
    - RemoteUserMiddleware session hijacking (CVE-2014-0482)
    - data leakage via querystring manipulation in admin (CVE-2014-0483)

  [ Brian May ]
  * Don't output stuff to stdout in django-admin. Closes: #757145

  [ Raphaël Hertzog ]
  * Update Vcs-* fields since the packaging repository moved to git.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 20 Aug 2014 19:30:21 -0700

python-django (1.6.5-3) unstable; urgency=low

  * Replace django-admin with script that can be run as python and shell.

    This means we can autodetect which python version to use when run as
    shell, while maintaining compatability with processes that try to run it
    with a specific python version.

    e.g. See bugs #755341 and #755321.

 -- Brian May <bam@debian.org>  Mon, 21 Jul 2014 10:18:39 +1000

python-django (1.6.5-2) unstable; urgency=low

  * python3-django package. Closes: #736878.

 -- Brian May <bam@debian.org>  Tue, 24 Jun 2014 10:51:47 +1000

python-django (1.6.5-1) unstable; urgency=high

  * New upstream security release.
   - Caches may be allowed to store and serve private data (CVE-2014-1418)
   - Malformed URLs from user input incorrectly validated
  * Drop partial_functions_reverse.patch (merged upstream).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 May 2014 22:49:59 +0200

python-django (1.6.3-2) unstable; urgency=high

  * Fix regression of reverse() and partial views. (LP: #1311433)
    Thanks Preston Timmons.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 22 Apr 2014 20:44:18 -0700

python-django (1.6.3-1) unstable; urgency=high

  * New upstream security release.
    - Unexpected code execution using ``reverse()``
    - CVE-2014-0472
    - Caching of anonymous pages could reveal CSRF token
    - CVE-2014-0473
    - MySQL typecasting could result in unexpected matches
    - CVE-2014-0474
  * Drop patches 07_translation_encoding_fix and ticket21869.diff; merged
    upstream

 -- Luke Faraone <lfaraone@debian.org>  Mon, 21 Apr 2014 16:47:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Chris Lamb <lamby@debian.org>
+ Chris Lamb <lamby@debian.org>,
+ Brian May <bam@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0)
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-django.git
 
 Package: python-django
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
 Recommends: libjs-jquery
-Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
 Description: High-level Python web development framework
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
@@ -40,6 +41,53 @@
   * Internationalization support
   * Testing framework and client
 
+Package: python3-django
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python-django-common (= ${binary:Version})
+Recommends: libjs-jquery
+Suggests: python3-psycopg2, python3-mysqldb, python3-flup, python3-sqlite, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
+Description: High-level Python web development framework
+ Django is a high-level web application framework that loosely follows the
+ model-view-controller design pattern.
+ .
+ Python's equivalent to Ruby on Rails, Django lets you build complex
+ data-driven websites quickly and easily - Django focuses on automating as much
+ as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
+ .
+ Django additionally emphasizes reusability and "pluggability" of components;
+ many generic third-party "applications" are available to enhance projects or
+ to simply to reduce development time even further.
+ .
+ Notable features include:
+  * An object-relational mapper (ORM)
+  * Automatic admin interface
+  * Elegant URL dispatcher
+  * Form serialization and validation system
+  * Templating system
+  * Lightweight, standalone web server for development and testing
+  * Internationalization support
+  * Testing framework and client
+
+Package: python-django-common
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: libjs-jquery
+Breaks: python-django (<< 1.6.5-2~)
+Replaces: python-django (<< 1.6.5-2~)
+Description: High-level Python web development framework (common)
+ Django is a high-level web application framework that loosely follows the
+ model-view-controller design pattern.
+ .
+ Python's equivalent to Ruby on Rails, Django lets you build complex
+ data-driven websites quickly and easily - Django focuses on automating as much
+ as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
+ .
+ Django additionally emphasizes reusability and "pluggability" of components;
+ many generic third-party "applications" are available to enhance projects or
+ to simply to reduce development time even further.
+ .
+ This package contains files common to both Python 2.7 and Python 3.
+
 Package: python-django-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django

PREFIX = debian/python-django
PREFIX3 = debian/python3-django
PREFIXC = debian/python-django-common

%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs.debian tests/__init__.py
	find -name "*.DS_Store" -delete
	chmod a-x django/contrib/gis/tests/data/texas.dbf
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	# We programmatically replace most instances of django-admin.py with
	# django-admin and remove the source files from the target _build.
	cp -r docs docs.debian
	find docs.debian -type f -print0 | xargs -0r perl -pi -e 's|(?<!/)(django-admin)\.py|$$1|'
	make -C docs.debian html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	touch tests/__init__.py
	mkdir -p tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 -A /usr/share/locale/locale.alias tmp-locales/en_US.UTF-8
	LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 PYTHONPATH=. tests/runtests.py --settings=tests.test_sqlite --verbosity=2
	rm -rf tmp-locales
endif

override_dh_clean:
	# backup~ is used in tests
	dh_clean -Xbackup~

override_dh_install:
	dh_install
	
	# Fix permissions
	chmod 644 $(PREFIXC)/etc/bash_completion.d/django_bash_completion
	chmod 755 $(PREFIXC)/usr/bin/django-admin
	
	# Rename django-admin.py to django-admin
	rm $(PREFIX)/usr/bin/django-admin.py
	rm $(PREFIX3)/usr/bin/django-admin.py
	
	# Remove embedded Javascript libraries
	set -e; for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sf /usr/share/javascript/jquery/$$FILENAME {} \;; \
		find $(PREFIX3) -name $$FILENAME -exec \
			ln -sf /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done

override_dh_python3:
	dh_python3
	find debian/python3-django/usr/lib/python3/dist-packages/ -type f -not -name '*.py' | \
	(while read file; do \
		relname=$${file##debian/python3-django/usr/lib/python3/dist-packages/}; \
		reldirname=$$(dirname $$relname); \
		mkdir -p debian/python-django-common/usr/share/python-django-common/$$reldirname; \
		mv $$file debian/python-django-common/usr/share/python-django-common/$$reldirname/; \
		ln -sf /usr/share/python-django-common/$$relname $$file; \
		if test -e debian/python-django/usr/share/pyshared/$$relname; then \
		    rm debian/python-django/usr/share/pyshared/$$relname; \
		    ln -sf /usr/share/python-django-common/$$relname debian/python-django/usr/share/pyshared/$$relname; \
		else \
		    rm debian/python-django/usr/lib/python2.7/dist-packages/$$relname; \
		    ln -sf /usr/share/python-django-common/$$relname debian/python-django/usr/lib/python2.7/dist-packages/$$relname; \
		fi \
	done)

override_dh_compress:
	dh_compress -X.js -Xobjects.inv
